View Issue Details

IDProjectCategoryView StatusLast Update
0001480Database Comparer VCL[All Projects] Generalpublic2019-04-18 19:44
ReportershirokovAssigned Tobarry 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version[Database Comparer] 7.0.0.1674 
Target Version[Database Comparer] 7.0.0.1674Fixed in Version[Database Comparer] 7.0.0.1679 
Summary0001480: Invalid statement (? assignment) - error occurs.
DescriptionFirebird 3.0
The comparer is unable to parse the following statement within the trigger script:
vCod_Produto = :Old.Cod_Produto;

The "Invalid statement (? assignment)" error occurs.
The same problem occurs with the standalone DbComparer.

The sample database is attached. See the TAB_CAD_MERCADORIAS_FORNEC trigger.

TagsNo tags attached.

Activities

shirokov

2018-11-15 22:33

administrator  

BANCO_TEST.ZIP (1,123,424 bytes)

Issue History

Date Modified Username Field Change
2018-11-15 22:33 shirokov New Issue
2018-11-15 22:33 shirokov Status new => assigned
2018-11-15 22:33 shirokov Assigned To => barry
2018-11-15 22:33 shirokov File Added: BANCO_TEST.ZIP
2019-04-11 17:36 barry Status assigned => resolved
2019-04-11 17:36 barry Resolution open => fixed
2019-04-11 17:36 barry Fixed in Version => 7.0.0.1679
2019-04-18 19:44 barry Status resolved => closed